1. Change package name first.
2. Delete original boilerplate git directory. (Repo will always read only)
3. Suit yourself to update Gradle, libraries and depedencies. (PRO tips : always use latest STABLE version)
4. ????
5. Profit.